+ Responder ao Tópico



  1. #1
    chn
    Visitante

    Padrão Compilar o SNORT

    Boa tarde! Estou tentando compilar o SNORT 2.4.0 e bixo empaca no libnet 1.0.2a, eu compilo essa coisa o e o snort nao acha o libnet.h. Alguem sabe como resolver isso. Meu linux Slackware 10.1.
    Obrigado !

  2. #2
    charadaa
    Visitante

    Padrão Compilar o SNORT

    primeiramente vc faz uma pesquisa no seu s.o e ve se ja existe essa lib em seu sistema caso haja e eu acho q tem vc copia ela para /lib e para /usr/local/lib depois ve c funciona valeu espero ter ajudado qq coisa posta ae



  3. #3

    Padrão Compilar o SNORT

    cara qdo eu tava compilando o meu tb tava dando esse prob...mas descobri q era pq eu tava habilitando o flexresp na compilação...
    como naum sabia o q era (tava soh seguindo um texto q eu axei)
    retirei essa opção e ai compilou d boa.

    Citação Postado originalmente por charadaa
    primeiramente vc faz uma pesquisa no seu s.o e ve se ja existe essa lib em seu sistema caso haja e eu acho q tem vc copia ela para /lib e para /usr/local/lib depois ve c funciona valeu espero ter ajudado qq coisa posta ae

  4. #4
    chn
    Visitante

    Padrão Compilar o SNORT

    Pois e charadas, eu copiei os arquivos para tudo quanto e diretorio lib e include do usr e nada adiantou. O interessante e que quando eu uso a ultima versao do libnet e troco compila legalzinho e quando passo para o snort ele acha na compilacao mas dis que nao e a versao 1.0.2a e para. Tive que nao usar a --enable-flexresp, como o Bishop disse, mas o estranho e que sigo um artigo aqui mesmo do Underlinux e tenho receio de o meu snort nao funcionar como deveria!



  5. #5
    unistd
    Visitante

    Padrão Compilar o SNORT

    chn, você tentou baixar o source da libnet e compilar ela na mão? Estive observando o pacote e ele traz a libnet.h. Pode estar acontecendo também do configure do snort não estar achando o arquivo no diretório de includes, tente usar ./configure --includedir=/usr/include

  6. #6

    Padrão Compilar o SNORT

    cara soh por curiosidade qual o artigo q vc tah seguindo?



  7. #7
    chn
    Visitante

    Padrão Compilar o SNORT

    O artigo e esse https://under-linux.org/modules.php?...ticle&sid=4425 !
    Entao, eu compilei o libnet assim ./configure --prefix=/usr/lib (e tentei depois com --prefix=/usr/include) e o snort assim ./configure --enable-flexresp --with-libnet-include=/usr/lib
    Como ja disse quando eu uso o novo libnet ele funciona, mas ele dis que a versao nao e a correta! Quando passo para a libnet 1.0.2a ele continua nao achando. No momento eu compilei sem o flexresp , mas vou tentar de novo !
    Mas so pergunta esse snort tem parte grafica?? Me falarem que ele montava grafico do uso da rede!

  8. #8

    Padrão Compilar o SNORT

    Citação Postado originalmente por chn
    Mas so pergunta esse snort tem parte grafica?? Me falarem que ele montava grafico do uso da rede!
    cara se tem eu naum axei a opção e qto aos grafico d uso da rede axo q naum soh se tem uma opção na hora da compilação



  9. #9
    chn
    Visitante

    Padrão Compilar o SNORT

    Ae pessoal, consegui compilar o snort com flexresp, para isso preciso do libnet-1.0.2a.tar.gz.Mas no meu caso quando ia compilar esse libnet dava erro ao fazer o make, um erro no linha 82 ou 85 do libnet.h parava o comando. Abri esse arquivo e tirei tudo nessa linha que estava entre aspas e beleza, instalou normalmente e intalei o snort no sossego!